%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-grunt-legacy-util
Version:    0.2.0
Epoch:      1
Release:    %mkrel 1
Summary:    Deprecated Grunt utils provided for backwards compatibility
License:    MIT
Group:      System/Libraries
URL:        https://github.com/gruntjs/grunt-legacy-util
Source0:    https://registry.npmjs.org/grunt-legacy-util/-/grunt-legacy-util-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(async)
BuildRequires:  npm(exit)
BuildRequires:  npm(getobject)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(hooker)
BuildRequires:  npm(lodash)
BuildRequires:  npm(temporary)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(which)
%endif

%description
%{summary}.

%prep
%setup -q -n package

%nodejs_fixdep async '^1.5.0'
%nodejs_fixdep lodash '^3.10.1'
%nodejs_fixdep underscore.string '~2.3.1'
%nodejs_fixdep which '^1.2.1'


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-util
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/grunt-legacy-util

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit -v
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-util



%changelog
* Sun May 22 2016 tv <tv> 1:0.2.0-1.mga6
+ Revision: 1017783
- downgrade to 0.2.0
- use %%license

* Fri May 13 2016 joequant <joequant> 1.0.0-1.mga6
+ Revision: 1014460
- upgrade to 1.0.0

* Mon Feb 08 2016 umeabot <umeabot> 0.1.2-2.mga6
+ Revision: 950287
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.1.2-1.mga5
+ Revision: 793728
- imported package nodejs-grunt-legacy-util

